<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StringConverter.html">StringConverter</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::StringConverter Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a95d05930b54167f5353733ec36668f65">isNumber</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#ae7053b6bd3df67328a898940036ab5b5">parseAngle</a>(const String &amp;val, Radian defaultValue=Radian(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a8f1d0fab67ac94cb5466812aea13dae0">parseBool</a>(const String &amp;val, bool defaultValue=0)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a167f9319fa721f66e393d963de145c6c">parseColourValue</a>(const String &amp;val, const ColourValue &amp;defaultValue=ColourValue::Black)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a77d05cbca629795de8b9496b31b0de33">parseInt</a>(const String &amp;val, int defaultValue=0)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a1dbc8f24c3d8611f4e9431f3b2122a2e">parseLong</a>(const String &amp;val, long defaultValue=0)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a4591e8414fc653e18ac7c3b427c5f093">parseMatrix3</a>(const String &amp;val, const Matrix3 &amp;defaultValue=Matrix3::IDENTITY)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a9ceacfd6e4f13f89c1ec03f5ef754b58">parseMatrix4</a>(const String &amp;val, const Matrix4 &amp;defaultValue=Matrix4::IDENTITY)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#adf71ad0ddbc54ab1d742e10a0dc18911">parseQuaternion</a>(const String &amp;val, const Quaternion &amp;defaultValue=Quaternion::IDENTITY)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a9633e8a5b340ca0c3b36aa51efb4cc5d">parseReal</a>(const String &amp;val, Real defaultValue=0)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a041e06bfaeca7a8950bbd04176d1b826">parseStringVector</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a8d3fd443406ecfc3556dc0195385bb22">parseUnsignedInt</a>(const String &amp;val, unsigned int defaultValue=0)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a6fb788b88702ece1e667c145204f7640">parseUnsignedLong</a>(const String &amp;val, unsigned long defaultValue=0)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a0759107b842b8483abbce915a74dd5e1">parseVector2</a>(const String &amp;val, const Vector2 &amp;defaultValue=Vector2::ZERO)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a4de896cef79f4620355149a42c43dff6">parseVector3</a>(const String &amp;val, const Vector3 &amp;defaultValue=Vector3::ZERO)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a7dd1a2f936cced85559abb1f948bdecb">parseVector4</a>(const String &amp;val, const Vector4 &amp;defaultValue=Vector4::ZERO)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">toString</a>(Real val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a0ad310156901192d8b4e31f90ce420a0">toString</a>(Radian val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a1c4df33a22e7da4debdc1de0ee250773">toString</a>(Degree val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a6e5354ea0506968e9ca901ce2f5a46af">toString</a>(int val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a6c7efa9542ac3e3a9c17df92c2383fe0">toString</a>(size_t val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#aaef4564bd5f496dbdf0889a89aa4cd9f">toString</a>(unsigned long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a9e48331e259a043ce076d2a8c3051340">toString</a>(long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#aa671980d27b86d09a0f568b451ba677d">toString</a>(bool val, bool yesNo=false)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a54b489bc08f1542fe9dd0b9d57fbfbca">toString</a>(const Vector2 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a40baf295547f60d3d0efcf279268d8dc">toString</a>(const Vector3 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a41d15619e971971f2025052e1a6d7c5a">toString</a>(const Vector4 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#ae9044f5fd990ebf7c124dfc3d6423b0a">toString</a>(const Matrix3 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#aa0a2d5fb724610a66f1949511e1fb478">toString</a>(const Matrix4 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#aa05c075b14b73fbdc82f477d6da359f8">toString</a>(const Quaternion &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a1a53ab0f54bc753ae2748909696d0b32">toString</a>(const ColourValue &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#ab6f7c4fb9bf4be031282c8ccf5b38727">toString</a>(const StringVector &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
